Subject: bug#56972: 29.0.50; nntp-send-authinfo error because netrc-parse can't handle multibytes

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 04 Aug 2022 15:38:39 +0200

Kevin Brubeck Unhammer <[email-masked]> writes:

> I'm guessing nntp-send-authinfo could be changed to using
> auth-source-netrc-parse, though I don't actually use authinfo for
> connecting to nntp so I have no way to test that use-case.

Yes -- there's no longer any reason to parse the authinfo file twice
this way now that `nntp-authinfo-file' has been removed, so I've
adjusted the code to just use auth-source in Emacs 29.  Can you check
that this really fixes the issue you were seeing?